View Issue Details

IDProjectCategoryView StatusLast Update
0002593SymmetricDS ProBugpublic2016-05-17 13:02
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.30 
Target Version3.7.33Fixed in Version3.7.33 
Summary0002593: Unable to start job after stopping on Manage Nodes screen
DescriptionOn Manage->Nodes screen, if you stop a job, then you can't start it again. The job is started with a schedule far in the future. The way the sym_lock table works was changed in issue 0002501, which copies the lock_time to the last_lock_time field. The stop uses an "infinite" lock by setting the lock time into the future.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 3dfd53c7

2016-05-10 09:48:54

admin

Details Diff
0002593: Unable to start job after stopping on Manage Nodes screen
0002593
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2016-05-10 09:23 elong New Issue
2016-05-10 09:23 elong Status new => assigned
2016-05-10 09:23 elong Assigned To => elong
2016-05-10 14:00 admin Changeset attached => SymmetricDS 3.7 3dfd53c7
2016-05-11 14:52 elong Status assigned => resolved
2016-05-11 14:52 elong Fixed in Version => 3.7.33
2016-05-11 14:52 elong Resolution open => fixed
2016-05-17 13:02 chenson Status resolved => closed